Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040207
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Retail Modules] Omnichannelminorhave not tried2019-01-29 18:082019-03-04 09:02
ReporterplujanView Statuspublic 
Assigned Toranjith_qualiantech_com 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisiond9a21aede592
ProjectionnoneETAnoneTarget VersionRR19Q1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionmainSCM revision 
Review Assigned Tojorge-garcia
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040207: [RR19Q1] [OMNI] Unnecessary quotes on message about overpayment

DescriptionWhen overpaying a partial delivery a pop up "Action Required" is shown.

One of the options has an unnecessary use of quotes: Return to customer as 'change'.

Given the previous choice is "Keep as a payment", why this one is not just "Return as change" ?
Steps To ReproduceIn an environment which has been configured to allow partial deliveries (*), login as valblanca user and:

Click in the 'Browse' tab.
Add the 'Insect repellent' product
Add the 'Avalanche transceiver' product
Click on the 'Avalanche transceiver' product line
Click on 'Delivery Modes' button in the right-panel
The 'Line Delivery Modes' pop up is opened
Select Delivery Mode 'Pickup in store'
Click 'Apply'
Check that the label 'Delivery Modes: Pickup in store' is added to the product line
Set product 'Avalanche transceiver' as Undeliverable:
'Username': Openbravo
'Password': openbravo
Click on the total amount button
The message '7.25EUR remaining to pay for delivery' is displayed
Add an amount of 10 in cash
The 'Action Required' pop up is opened.

Note the unnecessary quotes on 'change'. See attached screenshot.

(*) This issue's steps and previous steps to properly configure an environment can be found at https://testlink.openbravo.com/testlink/linkto.php?tprojectPrefix=Communit&item=testsuite&id=43553 [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0040055 closedranjith_qualiantech_com [RR19Q1] [OMNI] Unnecessary quotes on message about overpayment 

-  Notes
(0110168)
hgbot (developer)
2019-03-04 06:31

Repository: retail/backports/3.0RR19Q1/org.openbravo.retail.posterminal
Changeset: d9a21aede59201d533740a9360da31285e749cb3
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Mon Mar 04 11:01:33 2019 +0530
URL: http://code.openbravo.com/retail/backports/3.0RR19Q1/org.openbravo.retail.posterminal/rev/d9a21aede59201d533740a9360da31285e749cb3 [^]

Fixed issue 40207 : Updated ADMessage to show proper message when doing overypayment

* Removed quotes from ADMessage when doing overpayment

---
M src-db/database/sourcedata/AD_MESSAGE.xml
---
(0110173)
jorge-garcia (developer)
2019-03-04 09:02

Code reviewed and tested

- Issue History
Date Modified Username Field Change
2019-02-14 16:00 marvintm Type defect => backport
2019-02-14 16:00 marvintm Target Version => RR19Q1
2019-03-01 14:28 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2019-03-04 06:31 hgbot Checkin
2019-03-04 06:31 hgbot Note Added: 0110168
2019-03-04 06:31 hgbot Status scheduled => resolved
2019-03-04 06:31 hgbot Resolution open => fixed
2019-03-04 06:31 hgbot Fixed in SCM revision => http://code.openbravo.com/retail/backports/3.0RR19Q1/org.openbravo.retail.posterminal/rev/d9a21aede59201d533740a9360da31285e749cb3 [^]
2019-03-04 09:02 jorge-garcia Review Assigned To => jorge-garcia
2019-03-04 09:02 jorge-garcia Note Added: 0110173
2019-03-04 09:02 jorge-garcia Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker